]>
cvs.zerfleddert.de Git - hmcfgusb/blob - debian/hmland.init
4 # Required-Start: $network $local_fs $remote_fs
5 # Required-Stop: $remote_fs
6 # Default-Start: 2 3 4 5
8 # Short-Description: <Enter a short description of the sortware>
9 # Description: <Enter a long description of the software>
14 # Author: root <jsurf@gmx.de>
16 # PATH should only include /usr/* if it runs after the mountnfs.sh script
17 PATH
=/sbin
:/usr
/sbin
:/bin
:/usr
/bin
18 DESC
="Homematic LAN Adapter service" # Introduce a short description here
19 NAME
=hmland
# Introduce the short server's name here
20 DAEMON
=/opt
/hm
/hmcfgusb
/$NAME # Introduce the server's location here
21 DAEMON_ARGS
="-r 03:30 -d -P -p 1000 -L /var/log/hmland.log" # Arguments to run the daemon with
22 PIDFILE
=/var
/run
/$NAME.pid
23 SCRIPTNAME
=/etc
/init.d
/$NAME
25 # Exit if the package is not installed
26 [ -x $DAEMON ] ||
exit 0
28 # Read configuration variable file if it is present
29 [ -r /etc
/default
/$NAME ] && .
/etc
/default
/$NAME
31 # Load the VERBOSE setting and other rcS variables
34 # Define LSB log_* functions.
35 # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
36 .
/lib
/lsb
/init-functions
39 # Function that starts the daemon/service
44 # 0 if daemon has been started
45 # 1 if daemon was already running
46 # 2 if daemon could not be started
47 start-stop-daemon
--start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev
/null \
49 start-stop-daemon
--start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
52 # Add code here, if necessary, that waits for the process to be ready
53 # to handle requests from services started subsequently which depend
54 # on this one. As a last resort, sleep for some time.
58 # Function that stops the daemon/service
63 # 0 if daemon has been stopped
64 # 1 if daemon was already stopped
65 # 2 if daemon could not be stopped
66 # other if a failure occurred
67 start-stop-daemon
--stop --quiet --retry=TERM
/30/KILL
/5 --pidfile $PIDFILE --name $NAME
69 [ "$RETVAL" = 2 ] && return 2
70 # Wait for children to finish too if this is a daemon that forks
71 # and if the daemon is only ever run from this initscript.
72 # If the above conditions are not satisfied then add some other code
73 # that waits for the process to drop all resources that could be
74 # needed by services started subsequently. A last resort is to
75 # sleep for some time.
76 start-stop-daemon
--stop --quiet --oknodo --retry=0/30/KILL
/5 --exec $DAEMON
77 [ "$?" = 2 ] && return 2
78 # Many daemons don't delete their pidfiles when they exit.
84 # Function that sends a SIGHUP to the daemon/service
88 # If the daemon can reload its configuration without
89 # restarting (for example, when it is sent a SIGHUP),
90 # then implement that here.
92 start-stop-daemon
--stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
98 [ "$VERBOSE" != no
] && log_daemon_msg
"Starting $DESC " "$NAME"
101 0|
1) [ "$VERBOSE" != no
] && log_end_msg
0 ;;
102 2) [ "$VERBOSE" != no
] && log_end_msg
1 ;;
106 [ "$VERBOSE" != no
] && log_daemon_msg
"Stopping $DESC" "$NAME"
109 0|
1) [ "$VERBOSE" != no
] && log_end_msg
0 ;;
110 2) [ "$VERBOSE" != no
] && log_end_msg
1 ;;
114 status_of_proc
"$DAEMON" "$NAME" && exit 0 ||
exit $?
116 #reload|force-reload)
118 # If do_reload() is not implemented then leave this commented out
119 # and leave 'force-reload' as an alias for 'restart'.
121 #log_daemon_msg "Reloading $DESC" "$NAME"
125 restart|force-reload
)
127 # If the "reload" option is implemented then remove the
128 # 'force-reload' alias
130 log_daemon_msg
"Restarting $DESC" "$NAME"
137 1) log_end_msg
1 ;; # Old process is still running
138 *) log_end_msg
1 ;; # Failed to start
148 #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
149 echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2